import java.util.Scanner;

public class HexDigit2Dec {
  public static void main(String[] args) {
    Scanner input = new Scanner(System.in);
    System.out.print("Podaj cyfrę szesnastkową: ");
    String hexString = input.nextLine();
    
    // Sprawdzanie, czy łańcuch znaków z cyfrą szesnastkową ma dokładnie jeden znak
    if (hexString.length() != 1) {
      System.out.println("Musisz wpisać dokładnie jeden znak");
      System.exit(1);
    }
    
    // Wyświetlanie wartości cyfry szesnastkowej w systemie dziesiętnym
    char ch = Character.toUpperCase(hexString.charAt(0));    
    if ('A' <= ch && ch <= 'F') {
      int value = ch - 'A' + 10;
      System.out.println("Wartość cyfry szesnastkowej "
        + ch + " w systemie dziesiętnym wynosi " + value);
    }
    else if (Character.isDigit(ch)) {
      System.out.println("Wartość cyfry szesnastkowej " 
        + ch + " w systemie dziesiętnym wynosi " + ch);
    }
    else {
      System.out.println(ch + " to nieprawidłowe dane wejściowe");
    }
  }
}
